#!/usr/bin/python
# -*- coding: utf-8 -*-

from pathlib import Path

from setuptools import find_packages, setup

VERSION = open("delivery/_version.py").readlines()[-1].split()[-1].strip("\"'")
README = Path("README.md").read_text()

setup(
    name="ssa-" + Path().absolute().name,
    version=VERSION,
    description="NRAO Workspaces Delivery System",
    long_description=README,
    author="NRAO SSA Team",
    author_email="dms-ssa@nrao.edu",
    url="TBD",
    license="GPL",
    install_requires=["pex==2.1.41", "pycapo==0.3.1"],
    tests_require=["pytest>=5.4,<6.0", "pytest-resource-path"],
    keywords=[],
    packages=find_packages(),
    classifiers=["Programming Language :: Python :: 3.8"],
    entry_points={"console_scripts": ["deliver = delivery.delivery:main"]},
)
